
Dir
{
    ArchiveDir "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin";
    OverrideDir "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin-overrides";
    CacheDir "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin-cache";
};

Default
{
    Contents::Compress "gzip";
    DeLinkLimit 0;
    MaxContentsChange 12000;
    FileMode 0644;
}

TreeDefault
{
    Contents "$(DIST)/Contents-$(ARCH)";
    Contents::Header "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin-misc/contents.header";
};


tree "dists/nile"
{
    FileList "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin-overrides/nile_$(SECTION)_binary-$(ARCH)";
    SourceFileList "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin-overrides/nile_$(SECTION)_source";
    Sections "main";
    Architectures "amd64 arm64 i386 loong64 riscv64 rv64g source";
    BinOverride "override.nile.$(SECTION)";
    SrcOverride "override.nile.$(SECTION).src";
    ExtraOverride "override.nile.extra.$(SECTION)";
    Packages::Extensions ".deb";
    Packages::Compress "gzip bzip2";
    Sources::Compress "gzip bzip2";
    Translation::Compress "gzip bzip2";
    BinCacheDB "packages-$(ARCH).db";
    SrcCacheDB "sources.db";
    Contents " ";
    LongDescription "true";
}


tree "dists/nile/main"
{
    FileList "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin-overrides/nile_main_$(SECTION)_binary-$(ARCH)";
    SourceFileList "/var/tmp/ppa/kylinsoft/openkylin-extra/openkylin-overrides/nile.main_$(SECTION)_source";
    Sections "debian-installer";
    Architectures "amd64 arm64 i386 loong64 riscv64 rv64g";
    BinOverride "override.nile.main.$(SECTION)";
    SrcOverride "override.nile.main.$(SECTION).src";
    // ExtraOverride "override.nile.main.extra.$(SECTION)";
    Packages::Extensions ".udeb";
    Packages::Compress "gzip bzip2";
    Sources::Compress "gzip bzip2";
    Translation::Compress "gzip bzip2";
    BinCacheDB "packages-debian-installer-$(ARCH).db";
    SrcCacheDB "sources-debian-installer.db";
    Contents " ";
    LongDescription "true";
}

